Skip to main content
GET
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
files
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/files \
  --header 'Authorization: Bearer <token>'
{
  "files": [
    {
      "content_length": 123,
      "content_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "id": 123,
      "kb_id": 123,
      "metadata": "<unknown>",
      "name": "<string>",
      "uid": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "url": "<string>"
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required

Query Parameters

page_token
string | null

Page token for pagination

Response

200 - application/json

Files listed successfully

files
object[]
required
next_page_token
string | null